
-- Garantindo o recovery FULL
ALTER DATABASE AdventureWorks2012 SET RECOVERY FULL
GO
BACKUP DATABASE AdventureWorks2012 TO DISK = 'd:\backup.bak' WITH COMPRESSION
GO

-- Encolhendo o TLog
DBCC LOGINFO(AdventureWorks2012)
BACKUP LOG AdventureWorks2012 TO DISK = 'bkplog.trn'
USE AdventureWorks2012
GO
DBCC SHRINKFILE (AdventureWorks2012_Log,1)
GO
DBCC LOGINFO(AdventureWorks2012)

-- Ajustando o tamanho do TLog
USE AdventureWorks2012
GO
ALTER DATABASE AdventureWorks2012 MODIFY FILE
(NAME = AdventureWorks2012_Log, SIZE = 2MB)
DBCC LOGINFO(AdventureWorks2012)

-- em outra sesso
USE AdventureWorks2012
GO
BEGIN TRAN
INSERT INTO dbo.pessoa
VALUES ('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'), 
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb'),
('bbbbbbbbbbbbbbbbbbbb', 'bbbbbbbbbbbbbbb')
COMMIT
GO 2000


-- Acompanhar at o VLF mais recente ficar no final do arquivo
DBCC LOGINFO(AdventureWorks2012)


-- Quando o VLF mais recente chegar ao final do arquivo
BACKUP LOG AdventureWorks2012 TO DISK = 'bkplog.trn'
DBCC LOGINFO(AdventureWorks2012)
SELECT name, log_reuse_wait_desc FROM sys.databases WHERE name = 'AdventureWorks2012'

-- exemplo do Shrink LOP_SHRINK_NOOP

-- DBCC SHRINKFILE vai liberar espao em disco?
USE AdventureWorks2012
GO
DBCC SHRINKFILE (AdventureWorks2012_Log,1)
GO
DBCC LOGINFO(AdventureWorks2012)

BACKUP LOG AdventureWorks2012 TO DISK = 'bkplog.trn'
DBCC LOGINFO(AdventureWorks2012)

-- again --> DBCC SHRINKFILE vai liberar espao em disco?
USE AdventureWorks2012
GO
DBCC SHRINKFILE (AdventureWorks2012_Log,1)
GO
DBCC LOGINFO(AdventureWorks2012)